Loading...
Searching...
No Matches
icu::NumberFormatFactory Class Referenceabstract

A NumberFormatFactory is used to register new number formats. More...

`#include <numfmt.h>`

Inheritance diagram for icu::NumberFormatFactory:

## Public Member Functions

virtual | ~NumberFormatFactory ()
| Destructor.
virtual UBool | visible () const =0
| Return true if this factory will be visible.
virtual const UnicodeString * | getSupportedIDs (int32_t &count, UErrorCode &status) const =0
| Return the locale names directly supported by this factory.
virtual NumberFormat * | createFormat (const Locale &loc, UNumberFormatStyle formatType)=0
| Return a number format of the appropriate type.
Public Member Functions inherited from icu::UObject
virtual | ~UObject ()
| Destructor.
virtual UClassID | getDynamicClassID () const
| ICU4C "poor man's RTTI", returns a UClassID for the actual ICU class.

## Detailed Description

A NumberFormatFactory is used to register new number formats.

The factory should be able to create any of the predefined formats for each locale it supports. When registered, the locales it supports extend or override the locale already supported by ICU.

Stable
  ICU 2.6

Definition at line 1190 of file numfmt.h.

## Constructor & Destructor Documentation

## ~NumberFormatFactory()

virtual icu::NumberFormatFactory::~NumberFormatFactory | ( |  | ) |

virtual

Destructor.

Stable
  ICU 3.0

## Member Function Documentation

## createFormat()

virtual NumberFormat * icu::NumberFormatFactory::createFormat | ( | const Locale & | loc,
|  | UNumberFormatStyle | formatType )

pure virtual

Return a number format of the appropriate type.

If the locale is not supported, return null. If the locale is supported, but the type is not provided by this service, return null. Otherwise return an appropriate instance of NumberFormat.

Stable
  ICU 2.6

## getSupportedIDs()

virtual const UnicodeString * icu::NumberFormatFactory::getSupportedIDs | ( | int32_t & | count,
|  | UErrorCode & | status ) const

pure virtual

Return the locale names directly supported by this factory.

The number of names is returned in count;

Stable
  ICU 2.6

Implemented in icu::SimpleNumberFormatFactory.

## visible()

virtual UBool icu::NumberFormatFactory::visible | ( |  | ) | const

pure virtual

Return true if this factory will be visible.

Default is true. If not visible, the locales supported by this factory will not be listed by getAvailableLocales.

Stable
  ICU 2.6

Implemented in icu::SimpleNumberFormatFactory.

The documentation for this class was generated from the following file:

- i18n/unicode/numfmt.h